Output Profile
Get Output Profile List
Request
GET /v1/vhosts/{vhost}/apps/{app}/outputProfiles
Header
Authorization: Basic {credentials}
# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>
Responses
200 Ok
The request has succeeded
Header
Content-Type: application/jsonBody
{
"statusCode": 200,
"message": "OK",
"response": [
"default",
"audio_only"
]
}
# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Json array containing a list of output profile names401 Unauthorized
Authentication required
Header
WWW-Authenticate: Basic realm=”OvenMediaEngine”Body
{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}404 Not Found
The given vhost or application name could not be found.
Body
{
"message": "[HTTP] Could not find the application: [vhost/app1] (404)",
"statusCode": 404
}Create Output Profile
Add an Output Profile to the Application. If this request succeeds, the application will be restarted.
Request
POST /v1/vhosts/{vhost}/apps/{app}/outputProfiles
Header
Body
Configure output profiles to be created in Json array format.
Responses
207 Multi-Status
There might be a mixture of responses.
Header
Body
It responds with Json array for each request.
Get Output Profile Information
Request
Responses
Delete Output Profile
Delete output profile settings. If this request succeeds, the Application will be restarted.
Request
Responses
Last updated
Was this helpful?